Bug 42765 - user and user template layout differ causing usability issues
user and user template layout differ causing usability issues
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: UMC - Users
UCS 4.1
Other Linux
: P5 normal (vote)
: UCS 4.2
Assigned To: Philipp Hahn
Florian Best
: interim-1
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-10-25 16:41 CEST by Florian Best
Modified: 2017-04-04 18:28 CEST (History)
1 user (show)

See Also:
What kind of report is it?: Bug Report
What type of bug is this?: 2: Improvement: Would be a product improvement
Who will be affected by this bug?: 2: Will only affect a few installed domains
How will those affected feel about the bug?: 2: A Pain – users won’t like this once they notice it
User Pain: 0.046
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number: 2016090821000436
Bug group (optional): External feedback, Typo/text changes, Usability
Max CVSS v3 score:
best: Patch_Available+


Attachments
User Screenshot (12.29 KB, image/png)
2016-10-25 16:41 CEST, Florian Best
Details
UserTemplate Screenshot (29.54 KB, image/png)
2016-10-25 16:41 CEST, Florian Best
Details
patch (723 bytes, patch)
2016-10-25 16:44 CEST, Florian Best
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Florian Best univentionstaff 2016-10-25 16:41:09 CEST
Created attachment 8151 [details]
User Screenshot

[windows home drive] and [windows home path] are switched.
This leads to usability problems when not reading the content and copy'n'paste values fast.

Original feedback
"""
In the two screenshots you see one from a user and one from a template
created. As you can see the Windows home drive and the Windows home path
is turned around in the interface.

I did make a template to make some users and I had the problem that this
variable was set wrong because of this... maybe I do need to read better
but... ;)
"""
Comment 1 Florian Best univentionstaff 2016-10-25 16:41:30 CEST
Created attachment 8152 [details]
UserTemplate Screenshot
Comment 2 Florian Best univentionstaff 2016-10-25 16:44:48 CEST
Created attachment 8153 [details]
patch

Simple patch. But I think we should also unify the short_description to be the same.
Comment 3 Philipp Hahn univentionstaff 2017-01-27 17:34:26 CET
r76152 | Bug #42765 udm: Adapt usertemplate layout
 synchronite users/user layout to setting/usertemplate
 Note the "description" is handled differently between the implementation in udm.python and umc.js: For the first description is a description of the deplate, for the later a description of the user.
r76151 | Bug #42765 udm: Swap homeDrive and sambaHome layout
 patch applied

Package: univention-directory-manager-modules
Version: 12.0.12-6A~4.2.0.201701271722
Branch: ucs_4.2-0

r76156 | Bug #43428,Bug #42765,Bug #29672: udm usertemplate CL
Comment 4 Florian Best univentionstaff 2017-01-30 12:03:18 CET
OK: layout
OK: Changelog
Comment 5 Stefan Gohmann univentionstaff 2017-04-04 18:28:31 CEST
UCS 4.2 has been released:
 https://docs.software-univention.de/release-notes-4.2-0-en.html
 https://docs.software-univention.de/release-notes-4.2-0-de.html

If this error occurs again, please use "Clone This Bug".